# Cookie Profit Predictor

Elevate your gameplay with the Cookie Profit Predictor mod, which introduces a suite of strategic tools designed to optimize your resource management and decision-making:

## Payback Efficiency Indicator
Displays the projected Cookies Per Second (CPS) gain from investments, helping you understand how swiftly an item will pay for itself. This is a crucial metric for maximizing gameplay efficiency.

- Tier Upgrade Path Planning: Calculates the potential benefits of bulk purchasing buildings to unlock the next tier upgrade, which can often enhance the payback efficiency.
- Rainbow Highlighting for Optimal Interim Purchases: Uses a spectrum of colors to spotlight interim purchases that, while not the ultimate best deal, can expedite your progress toward the most beneficial long-term investments.
- Customizable Color Coding: Personalize the color scheme used for payback efficiency indicators, providing a visual representation that aligns with your preferences.

## Item Timer
Reveals how long you'll need to wait before you can afford a building or upgrade, enabling you to plan your strategy more effectively.

## Banking Strategy Integration
Locks a target CPS of your cookies to maximize saving for a "Lucky!" payout or other bonuses.

## Auto-Sorting by Payback Efficiency
Automatically orders buildings and upgrades by their payback efficiency, steering you toward the most advantageous purchases first.

- Wizard Tower Exclusion Feature: Exclude Wizard Towers from payback efficiency calculations, a useful feature for those who wish to maintain specific spell intervals without affecting their strategic planning.

## Auto-Buy Functionality
Automatically purchases the most efficient item based on the current payback efficiency calculations, streamlining the investment process.

## Resources

- [In-Depth Design Presentation for the Payback Efficiency Mod (Slides)](https://docs.google.com/presentation/d/e/2PACX-1vTzBJulPWJ08URtZp5QLGivJpnkVb3hF7dLUSOcUoWH9Pdtxmj3jmoPwnbL71LTP2moVhr3-GTd0cdA/pub?start=false&loop=false&delayms=60000)
- Report issues [on the Github](https://github.com/jcppkkk/BestDealHelper/issues)
- Join us on [Discord](https://discord.gg/VxVdXDdTNW)
